Skip to main content
POST
/
v5
/
bills
/
bills
Save bills
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/bills/bills \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "bills": [
    {
      "categoryId": 123,
      "amount": 123,
      "dueDate": "2023-11-07T05:31:56Z",
      "vendorId": 123,
      "name": "<string>",
      "billNo": 123,
      "id": 123,
      "status": "DRAFT",
      "date": "2023-11-07T05:31:56Z",
      "apiName": "PARTNER_IMPLEMENTATION",
      "apiInstitutionName": "<string>",
      "apiBillId": "<string>"
    }
  ]
}
'
[
  {
    "result": "SUCCESS",
    "errors": {
      "fieldErrors": {},
      "globalErrors": [
        {
          "type": "DUPLICATE",
          "errorMessage": "<string>"
        }
      ]
    },
    "id": "<string>",
    "webhook": {
      "userId": "<string>",
      "accountantUserId": "<string>",
      "type": "ENTITY_UPDATE"
    }
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

bills object

bills
object[]

Response

200 - application/json

Successful operation

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object